Loading...
Searching...
No Matches
raptor::emplace_iterator< container_t > Class Template Reference

## Public Types

using | difference_type = ptrdiff_t
using | iterator_category = std::output_iterator_tag
using | pointer = void
using | reference = void
using | value_type = void

## Public Member Functions

constexpr | emplace_iterator (container_t &cont, seqan3::bin_index const idx)
| emplace_iterator (emplace_iterator &&)=default
| emplace_iterator (emplace_iterator const &)=default
constexpr emplace_iterator & | operator* ()
constexpr emplace_iterator & | operator++ ()
constexpr emplace_iterator | operator++ (int)
emplace_iterator & | operator= (emplace_iterator &&)=default
emplace_iterator & | operator= (emplace_iterator const &)=default
constexpr emplace_iterator & | operator= (uint64_t const value)

## Private Attributes

container_t * | container {}
seqan3::bin_index | index {}

The documentation for this class was generated from the following file:

- emplace_iterator.hpp